## fotoxx 23.82

=== debian/changelog ===
fotoxx (23.82-1mx23+1) mx; urgency=medium

  * Rebuild for MX-23.

 -- Mike Purtell <mmikeinsantarosa@mxlinux.org>  Tue, 19 Dec 2023 12:20:12 -0800

=== debian/control ===
Source: fotoxx
Section: graphics
Priority: optional
Maintainer: Mike Purtell <mmikeinsantarosa@mxlinux.org>
XSBC-Original-Maintainer: Santiago Torres Batan <santi73@gmail.com>
Uploaders: Maximiliano Curia <maxy@debian.org>
Build-Depends: debhelper-compat (= 12),
	binutils, 
    dcraw,  
    g++,
	libchamplain-gtk-0.12-dev,
	libgtk-3-dev,
	liblcms2-dev,
	libraw-dev,
	libtiff-dev,
Standards-Version: 4.5.0
Rules-Requires-Root: no
Homepage: https://www.kornelix.net/fotoxx/fotoxx.html
Vcs-Browser: https://salsa.debian.org/debian/fotoxx
Vcs-Git: https://salsa.debian.org/debian/fotoxx.git

Package: fotoxx
Architecture: any
Depends: fotoxx-common (= ${source:Version}),
	 libimage-exiftool-perl (>= 8.60),
	 xdg-utils,
	 dcraw,
	 ${misc:Depends},
	 ${shlibs:Depends},
Suggests: ffmpeg, growisofs, hugin, rawtherapee, vlc, libopenjp2-tools
Description: Edit photos and manage a large collection
 Navigate a large image collection with a thumbnail browser.
 View and edit image files (RAW, jpeg, png, tiff ...).
 Editing is done in 24 bits/color, output is 8 or 16 bits/color.
 Fotoxx has extensive tools for edit, repair, and special effects.
 Fotoxx is fast and interactive: view full image as it changes.
 Undo and redo within and across edit functions.
 File versioning: save and recall multiple edit stages.
 Select image features or areas to edit separately from background.
 Copy and paste area selections within and across images.
 Composite functions: HDR, HDF, panorama, stack, image/text montage.
 Metadata edit and report: tags, captions, dates, locations ...
 Search images based on any metadata and folder/file names or parts.
 Albums: select images and arranged order with drag and drop.
 Slide Show with animated transitions and pan/zoom.
 Scalable world map with image markers - click marker for gallery.
 Batch functions: convert, resize, upright, move, revise metatata.
 User Guide (English) describes all functions in great detail.

Package: fotoxx-common
Architecture: all
Depends: ${misc:Depends}
Breaks: fotoxx (<< 14.03.1)
Replaces: fotoxx (<< 14.03.1)
Description: Edit photos and manage a large collection - common files
 Navigate a large image collection with a thumbnail browser.
 View and edit image files (RAW, jpeg, png, tiff ...).
 Editing is done in 24 bits/color, output is 8 or 16 bits/color.
 Fotoxx has extensive tools for edit, repair, and special effects.
 Fotoxx is fast and interactive: view full image as it changes.
 Undo and redo within and across edit functions.
 File versioning: save and recall multiple edit stages.
 Select image features or areas to edit separately from background.
 Copy and paste area selections within and across images.
 Composite functions: HDR, HDF, panorama, stack, image/text montage.
 Metadata edit and report: tags, captions, dates, locations ...
 Search images based on any metadata and folder/file names or parts.
 Albums: select images and arranged order with drag and drop.
 Slide Show with animated transitions and pan/zoom.
 Scalable world map with image markers - click marker for gallery.
 Batch functions: convert, resize, upright, move, revise metatata.
 User Guide (English) describes all functions in great detail.
 .
 This package contains architecture independent files such as icons, pixmaps,
 documentation, and translations.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed

%:
	dh $@
override_dh_strip:
	dh_strip --no-automatic-dbgsym
	
override_dh_auto_install:
	dh_auto_install
	rm -f $(CURDIR)/debian/tmp/usr/share/doc/fotoxx/copyright
	rm -f $(CURDIR)/debian/tmp/usr/share/doc/fotoxx/license
	rm -f $(CURDIR)/debian/tmp/usr/share/fotoxx/data/README

## fotoxx 24.70

=== Makefile ===
#  fotocx Makefile
#
#  Following commands choose compiler and debug options
#  export CXX=g++          gnu compiler
#  export CXX=clang++      clang compiler
#  export DEBUG=x          debug build with address checking

CXXFLAGS += -fpermissive -Wno-write-strings 
CXXFLAGS += -Wno-deprecated-declarations ## champlain-tile.h broken since 2020
CXXFLAGS += -Wno-class-memaccess ## new restriction Oct 2023
CXXFLAGS += -fno-omit-frame-pointer ## for backtrace reliability

ifeq ($(CXX), clang++)                                #  CLANG
   ifdef DEBUG
      CXXFLAGS += -Wall -g -O0 -fsanitize=address -Wno-stringop-truncation
      LDFLAGS += -fsanitize=address
   else
      CXXFLAGS += -Wall -g -O2
   endif
else                                                  #  GCC
   ifdef DEBUG
      CXXFLAGS += -Wall -g2 -rdynamic -O0 -fsanitize=address            \
                  -Wno-format-truncation -Wno-stringop-truncation
      LDFLAGS += -fsanitize=address
   else
      CXXFLAGS += -Wall -g2 -rdynamic -O2                               \
                  -Wno-format-truncation -Wno-stringop-truncation
   endif
endif

PKG_CONFIG ?= pkg-config

CFLAGS = $(CXXFLAGS) $(CPPFLAGS) -c                                              \
         `$(PKG_CONFIG) --cflags gtk+-3.0 --libs champlain-gtk-0.12`

LIBS = `$(PKG_CONFIG) --libs gtk+-3.0`                                              \
         -lrt -lpthread -ltiff -lpng -ljpeg                                         \
         -lclutter-1.0 -lclutter-gtk-1.0 -lchamplain-0.12 -lchamplain-gtk-0.12

ALLFILES = fotocx.o f.widgets.o f.file.o f.gallery.o f.albums.o f.select.o f.meta.o    \
           f.edit.o f.repair.o f.refine.o f.effects.o f.warp.o f.comb.o f.mashup.o     \
           f.tools.o f.batch.o f.pixmap.o zfuncs.o

fotocx: $(ALLFILES)
	$(CXX) $(LDFLAGS) $(ALLFILES) $(LIBS) -o fotocx \

fotocx.o: fotocx.cc fotocx.h
	$(CXX) fotocx.cc $(CFLAGS) -o fotocx.o \

f.widgets.o: f.widgets.cc  fotocx.h
	$(CXX) f.widgets.cc $(CFLAGS) \

f.file.o: f.file.cc  fotocx.h
	$(CXX) f.file.cc $(CFLAGS) \

f.gallery.o: f.gallery.cc  fotocx.h
	$(CXX) f.gallery.cc $(CFLAGS) \

f.albums.o: f.albums.cc  fotocx.h
	$(CXX) f.albums.cc $(CFLAGS) \

f.select.o: f.select.cc  fotocx.h
	$(CXX) f.select.cc $(CFLAGS) \

f.meta.o: f.meta.cc  fotocx.h
	$(CXX) f.meta.cc $(CFLAGS) \

f.edit.o: f.edit.cc  fotocx.h
	$(CXX) f.edit.cc $(CFLAGS) \

f.repair.o: f.repair.cc  fotocx.h
	$(CXX) f.repair.cc $(CFLAGS) \

f.refine.o: f.refine.cc  fotocx.h
	$(CXX) f.refine.cc $(CFLAGS) \

f.effects.o: f.effects.cc  fotocx.h
	$(CXX) f.effects.cc $(CFLAGS) \

f.warp.o: f.warp.cc  fotocx.h
	$(CXX) f.warp.cc $(CFLAGS) \

f.comb.o: f.comb.cc  fotocx.h
	$(CXX) f.comb.cc $(CFLAGS) \

f.mashup.o: f.mashup.cc  fotocx.h
	$(CXX) f.mashup.cc $(CFLAGS) \

f.tools.o: f.tools.cc  fotocx.h
	$(CXX) f.tools.cc $(CFLAGS) \

f.batch.o: f.batch.cc  fotocx.h
	$(CXX) f.batch.cc $(CFLAGS) \

f.pixmap.o: f.pixmap.cc  fotocx.h
	$(CXX) f.pixmap.cc $(CFLAGS) \

zfuncs.o: zfuncs.cc  zfuncs.h
	$(CXX) zfuncs.cc $(CFLAGS) \

ifdef DEBUG
	@echo DEBUG BUILD
endif

# install application files in standard locations        24.21
PREFIX ?= /usr/local
BINDIR = $(PREFIX)/bin
MENUDIR = $(PREFIX)/share/applications
DOCDIR = $(PREFIX)/share/doc/fotocx
MANDIR = $(PREFIX)/share/man/man1
DATADIR = $(PREFIX)/share/fotocx
ICONDIR = $(PREFIX)/share/icons
METAINFODIR = $(PREFIX)/share/metainfo
                                         
install: fotocx uninstall
	mkdir -p  $(DESTDIR)$(BINDIR)
	mkdir -p  $(DESTDIR)$(MENUDIR)
	mkdir -p  $(DESTDIR)$(DOCDIR)
	mkdir -p  $(DESTDIR)$(MANDIR)
	mkdir -p  $(DESTDIR)$(DATADIR)
	mkdir -p  $(DESTDIR)$(ICONDIR)
	mkdir -p  $(DESTDIR)$(METAINFODIR)

	cp -f fotocx $(DESTDIR)$(BINDIR)
	cp -f fotocx.desktop $(DESTDIR)$(MENUDIR)
	cp -f -R  doc/* $(DESTDIR)$(DOCDIR)
	gzip -fk -9 man/fotocx.man
	mv -f man/fotocx.man.gz $(DESTDIR)$(MANDIR)/fotocx.1.gz
	cp -f -R  data $(DESTDIR)$(DATADIR)
	cp -f -R  images $(DESTDIR)$(DATADIR)
	cp -f fotocx.png $(DESTDIR)$(ICONDIR)
	cp -f metainfo/* $(DESTDIR)$(METAINFODIR)

uninstall:
	rm -f     $(DESTDIR)$(BINDIR)/fotocx*
	rm -f     $(DESTDIR)$(MENUDIR)/fotocx*
	rm -f -R  $(DESTDIR)$(DOCDIR)
	rm -f     $(DESTDIR)$(MANDIR)/fotocx*
	rm -f -R  $(DESTDIR)$(DATADIR)
	rm -f     $(DESTDIR)$(ICONDIR)/fotocx*
	rm -f     $(DESTDIR)$(METAINFODIR)/kornelix.fotocx*

clean:
	rm -f  fotocx
	rm -f  *.o

=== debian/changelog ===
fotoxx (24.70-1) unstable; urgency=medium

  * Team upload.
  * Move packaging to Debian Photo Tools team
    Closes: #1086192
  * New upstream version
    Closes: #1006448
  * fotoxx was renamed to fotocx
  * Rename in watch file
  * Standards-Version: 4.7.0 (routine-update)
  * cme fix dpkg-control
  * d/copyright: update
  * Deal with name change from fotoxx to fotocx in dh_auto_install

 -- Andreas Tille <tille@debian.org>  Tue, 19 Nov 2024 15:07:39 +0100

=== debian/control ===
--- 
+++ 
@@ -1,33 +1,35 @@
 Source: fotoxx
+Maintainer: Debian PhotoTools Maintainers <pkg-phototools-devel@lists.alioth.debian.org>
+Uploaders: Santiago Torres Batan <santi73@gmail.com>,
+           Maximiliano Curia <maxy@debian.org>
 Section: graphics
 Priority: optional
-Maintainer: Mike Purtell <mmikeinsantarosa@mxlinux.org>
-XSBC-Original-Maintainer: Santiago Torres Batan <santi73@gmail.com>
-Uploaders: Maximiliano Curia <maxy@debian.org>
-Build-Depends: debhelper-compat (= 12),
-	binutils, 
-    dcraw,  
-    g++,
-	libchamplain-gtk-0.12-dev,
-	libgtk-3-dev,
-	liblcms2-dev,
-	libraw-dev,
-	libtiff-dev,
-Standards-Version: 4.5.0
+Build-Depends: debhelper-compat (= 13),
+               libchamplain-gtk-0.12-dev,
+               libgtk-3-dev,
+               liblcms2-dev,
+               libraw-dev,
+               libtiff-dev
+Standards-Version: 4.7.0
+Vcs-Browser: https://salsa.debian.org/debian-phototools-team/fotoxx
+Vcs-Git: https://salsa.debian.org/debian-phototools-team/fotoxx.git
+Homepage: https://www.kornelix.net/fotoxx/fotoxx.html
 Rules-Requires-Root: no
-Homepage: https://www.kornelix.net/fotoxx/fotoxx.html
-Vcs-Browser: https://salsa.debian.org/debian/fotoxx
-Vcs-Git: https://salsa.debian.org/debian/fotoxx.git
 
 Package: fotoxx
 Architecture: any
 Depends: fotoxx-common (= ${source:Version}),
-	 libimage-exiftool-perl (>= 8.60),
-	 xdg-utils,
-	 dcraw,
-	 ${misc:Depends},
-	 ${shlibs:Depends},
-Suggests: ffmpeg, growisofs, hugin, rawtherapee, vlc, libopenjp2-tools
+         libimage-exiftool-perl,
+         xdg-utils,
+         dcraw,
+         ${misc:Depends},
+         ${shlibs:Depends}
+Suggests: ffmpeg,
+          growisofs,
+          hugin,
+          rawtherapee,
+          vlc,
+          libopenjp2-tools
 Description: Edit photos and manage a large collection
  Navigate a large image collection with a thumbnail browser.
  View and edit image files (RAW, jpeg, png, tiff ...).
@@ -49,9 +51,8 @@
 
 Package: fotoxx-common
 Architecture: all
+Multi-Arch: foreign
 Depends: ${misc:Depends}
-Breaks: fotoxx (<< 14.03.1)
-Replaces: fotoxx (<< 14.03.1)
 Description: Edit photos and manage a large collection - common files
  Navigate a large image collection with a thumbnail browser.
  View and edit image files (RAW, jpeg, png, tiff ...).

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@

override_dh_auto_install:
	dh_auto_install -- PREFIX=/usr
	rm -f $(CURDIR)/debian/tmp/usr/share/doc/fotocx/changelog
	rm -f $(CURDIR)/debian/tmp/usr/share/doc/fotocx/copyright
	rm -f $(CURDIR)/debian/tmp/usr/share/doc/fotocx/license
	rm -f $(CURDIR)/debian/tmp/usr/share/fotocx/data/README

=== debian/watch ===
version=4

https://www.kornelix.net/downloads/downloads.html downloads/fotocx-([\d.]+)-source\.tar\.gz
